Synopsis:
   on [<modes>]odd_server_stuff [<serial#>] [-|^]<match> { <action> }

Description:
   This is easily the most flexible hook available in the client.  It allows
   any arbitrary string to be hooked from the server's raw output.  It is
   useful for overriding the client's default behavior when it otherwise
   wouldn't permit it, or for hooking information when the available named
   hooks won't do.

Parameters:
   $0    server that sent it, '*' if unknown
   $1-   unrecognized command and its arguments

See Also:
   quote(5) on(5) raw_irc

